post
https://api.similarweb.com/batch/v4/gcs-connector/setup
Integrate Similarweb's Batch API with your Google Cloud Storage (GCS) environment. This integration allows clients to store and access exported data directly in their own GCS buckets.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Properties
The response contains the information of the created integration.
| Property | Description | Example |
|---|---|---|
| expiration_date str | Date when the credentials expire | 2025-03-21 |
| gcs_bucket str | The bucket where Similarweb will deliver the data | sw-daas-production |
| gcs_prefix str | The path prefix inside the GCS bucket for this integration | account_id/my_integration/ |
| The name of the created integration. (can not be changed) | my_integration |
| secret str | A complete GCP service account JSON for use with the integration |
The secret field in the response contains a Google service account JSON.To access your GCS integration programmatically (e.g., using PySpark),
save this JSON to a file and use the GOOGLE_APPLICATION_CREDENTIALS environment variable to authenticate.
